# IO_ParticleSystem.cpp File Reference

`#include <osgParticle/ParticleSystem>`
`#include <osg/BoundingBox>`
`#include <osgDB/Registry>`
`#include <osgDB/Input>`
`#include <osgDB/Output>`
`#include <iostream>`
`#include <string>`

Include dependency graph for IO_ParticleSystem.cpp:

## Functions

bool | read_particle (osgDB::Input &fr, osgParticle::Particle &P)
void | write_particle (const osgParticle::Particle &P, osgDB::Output &fw)
bool | ParticleSystem_readLocalData (osg::Object &obj, osgDB::Input &fr)
bool | ParticleSystem_writeLocalData (const osg::Object &obj, osgDB::Output &fw)

## Variables

osgDB::RegisterDotOsgWrapperProxy | ParticleSystem_Proxy (new osgParticle::ParticleSystem,"ParticleSystem","Object Drawable ParticleSystem", ParticleSystem_readLocalData, ParticleSystem_writeLocalData)

## Function Documentation

bool ParticleSystem_readLocalData | ( | osg::Object & | obj,
|  | osgDB::Input & | fr
| ) |

bool ParticleSystem_writeLocalData | ( | const osg::Object & | obj,
|  | osgDB::Output & | fw
| ) |

bool read_particle | ( | osgDB::Input & | fr,
|  | osgParticle::Particle & | P
| ) |

void write_particle | ( | const osgParticle::Particle & | P,
|  | osgDB::Output & | fw
| ) |

## Variable Documentation

osgDB::RegisterDotOsgWrapperProxy ParticleSystem_Proxy(new osgParticle::ParticleSystem,"ParticleSystem","Object Drawable ParticleSystem", ParticleSystem_readLocalData, ParticleSystem_writeLocalData)